/*
In the ESP32, anything declared as const will end up in the rodata segment,
which then will go into flash and is read directly from that

donc pas d'utilisation de "PROGMEM" (qui ne concerne que les AVR, ces derniers ne pouvant pas accéder directement à la mémoire flash) 
*/

#define nb_elements 51 // attention: doit correspondre à la liste !
const char elements[nb_elements][20] = { 
  "Brioche",
  "Cafe soluble",
  "Cafe",
  "Confiture",
  "Conserves",
  "Creme a recur",
  "Creme fraiche",
  "Cremes dessert",
  "Croket Skippy",
  "Endives",
  "Eponges grosses",
  "Eponges",
  "Fromage",
  "Fruits",
  "Gants fins",
  "Gants travail",
  "Gel douche",
  "Huile d'olive",
  "Huile",
  "Jambon",
  "Jus d'orange",
  "Lait de soja",
  "Legumes",
  "Liqu. vaisselle",
  "Litiere Skippy",
  "Margarine",
  "Mayonnaise",  
  "Mouchoirs pap.",
  "Moutarde",
  "Oeufs",
  "Oignons",
  "Pain",
  "Pates",
  "Piles R3",
  "Piles R6",
  "Poisson",
  "Poulet",
  "PQ",
  "Raisins secs",
  "Rech Butane",
  "Riz",
  "Sacs poub.",
  "Salade",
  "Sauce",
  "Savon",
  "Shampoing",
  "Sopalin",
  "Soupe",
  "Sucre",
  "Vin",
  "Yaourts"
};
